AI Driving Olympics Home Challenges Submissions

Submission 13289

Submission13289
Competingyes
Challengeaido5-LFP-real-validation
UserBea Baselines 🐤
Date submitted
Last status update
Completecomplete
DetailsEvaluation is complete.
Sisters
Result💚
Jobseval0: 61519 eval0-videos: 61521 eval0-visualize: 61520 eval1: 61522 eval1-videos: 61523 eval1-visualize: 61524 eval2: 61525 eval2-videos: 61560 eval2-visualize: 61546
Next
User labelbaseline-duckietown
Admin priority50
Blessingn/a
User priority50

61560

robot

watchtower

61546

Click the images to see detailed statistics about the episode.

sync

tmp

visualization

61525

scenario/drawing.html

61524

Click the images to see detailed statistics about the episode.

sync

tmp

visualization

61523

robot

watchtower

61522

scenario/drawing.html

61521

robot

watchtower

61520

Click the images to see detailed statistics about the episode.

sync

tmp

visualization

61519

scenario/drawing.html

Evaluation jobs for this submission

See previous jobs for previous versions of challenges
Job IDstepstatusup to datedate starteddate completeddurationmessage
61560eval2-videossuccessyes0:10:46
all ok, 8 bags proce [...]
all ok, 8 bags processed
Artefacts hidden. If you are the author, please login using the top-right link or use the dashboard.
No reset possible
61559eval2-videoshost-erroryes0:02:26
Uncaught exception: [...]
Uncaught exception:
Traceback (most recent call last):
  File "/usr/local/lib/python3.8/dist-packages/duckietown_challenges_runner/docker_compose.py", line 53, in get_services_id
    container = client.containers.get(container_id)
  File "/usr/local/lib/python3.8/dist-packages/docker/models/containers.py", line 880, in get
    resp = self.client.api.inspect_container(container_id)
  File "/usr/local/lib/python3.8/dist-packages/docker/utils/decorators.py", line 16, in wrapped
    raise errors.NullResource(
docker.errors.NullResource: Resource ID was not provided

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/local/lib/python3.8/dist-packages/duckietown_challenges_runner/runner.py", line 745, in get_cr
    cr = run_single(
  File "/usr/local/lib/python3.8/dist-packages/duckietown_challenges_runner/runner.py", line 959, in run_single
    write_logs(wd, project, services=config["services"])
  File "/usr/local/lib/python3.8/dist-packages/duckietown_challenges_runner/docker_compose.py", line 120, in write_logs
    services2id: Dict[ServiceName, ContainerID] = get_services_id(wd, project, services)
  File "/usr/local/lib/python3.8/dist-packages/duckietown_challenges_runner/docker_compose.py", line 63, in get_services_id
    raise DockerComposeFail(msg, output=output.decode(), names=names) from e
duckietown_challenges_runner.docker_compose.DockerComposeFail: Cannot get process ids
│ output: ''
│  names: {}
Artefacts hidden. If you are the author, please login using the top-right link or use the dashboard.
No reset possible
61558eval2-videoshost-erroryes0:02:44
Uncaught exception: [...]
Uncaught exception:
Traceback (most recent call last):
  File "/usr/local/lib/python3.8/dist-packages/duckietown_challenges_runner/docker_compose.py", line 53, in get_services_id
    container = client.containers.get(container_id)
  File "/usr/local/lib/python3.8/dist-packages/docker/models/containers.py", line 880, in get
    resp = self.client.api.inspect_container(container_id)
  File "/usr/local/lib/python3.8/dist-packages/docker/utils/decorators.py", line 16, in wrapped
    raise errors.NullResource(
docker.errors.NullResource: Resource ID was not provided

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/local/lib/python3.8/dist-packages/duckietown_challenges_runner/runner.py", line 745, in get_cr
    cr = run_single(
  File "/usr/local/lib/python3.8/dist-packages/duckietown_challenges_runner/runner.py", line 959, in run_single
    write_logs(wd, project, services=config["services"])
  File "/usr/local/lib/python3.8/dist-packages/duckietown_challenges_runner/docker_compose.py", line 120, in write_logs
    services2id: Dict[ServiceName, ContainerID] = get_services_id(wd, project, services)
  File "/usr/local/lib/python3.8/dist-packages/duckietown_challenges_runner/docker_compose.py", line 63, in get_services_id
    raise DockerComposeFail(msg, output=output.decode(), names=names) from e
duckietown_challenges_runner.docker_compose.DockerComposeFail: Cannot get process ids
│ output: ''
│  names: {}
Artefacts hidden. If you are the author, please login using the top-right link or use the dashboard.
No reset possible
61557eval2-videoshost-erroryes0:03:41
Uncaught exception: [...]
Uncaught exception:
Traceback (most recent call last):
  File "/usr/local/lib/python3.8/dist-packages/duckietown_challenges_runner/docker_compose.py", line 53, in get_services_id
    container = client.containers.get(container_id)
  File "/usr/local/lib/python3.8/dist-packages/docker/models/containers.py", line 880, in get
    resp = self.client.api.inspect_container(container_id)
  File "/usr/local/lib/python3.8/dist-packages/docker/utils/decorators.py", line 16, in wrapped
    raise errors.NullResource(
docker.errors.NullResource: Resource ID was not provided

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/local/lib/python3.8/dist-packages/duckietown_challenges_runner/runner.py", line 745, in get_cr
    cr = run_single(
  File "/usr/local/lib/python3.8/dist-packages/duckietown_challenges_runner/runner.py", line 959, in run_single
    write_logs(wd, project, services=config["services"])
  File "/usr/local/lib/python3.8/dist-packages/duckietown_challenges_runner/docker_compose.py", line 120, in write_logs
    services2id: Dict[ServiceName, ContainerID] = get_services_id(wd, project, services)
  File "/usr/local/lib/python3.8/dist-packages/duckietown_challenges_runner/docker_compose.py", line 63, in get_services_id
    raise DockerComposeFail(msg, output=output.decode(), names=names) from e
duckietown_challenges_runner.docker_compose.DockerComposeFail: Cannot get process ids
│ output: ''
│  names: {}
Artefacts hidden. If you are the author, please login using the top-right link or use the dashboard.
No reset possible
61554eval2-videoshost-erroryes0:02:09
Uncaught exception: [...]
Uncaught exception:
Traceback (most recent call last):
  File "/usr/local/lib/python3.8/dist-packages/duckietown_challenges_runner/docker_compose.py", line 53, in get_services_id
    container = client.containers.get(container_id)
  File "/usr/local/lib/python3.8/dist-packages/docker/models/containers.py", line 880, in get
    resp = self.client.api.inspect_container(container_id)
  File "/usr/local/lib/python3.8/dist-packages/docker/utils/decorators.py", line 16, in wrapped
    raise errors.NullResource(
docker.errors.NullResource: Resource ID was not provided

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/local/lib/python3.8/dist-packages/duckietown_challenges_runner/runner.py", line 745, in get_cr
    cr = run_single(
  File "/usr/local/lib/python3.8/dist-packages/duckietown_challenges_runner/runner.py", line 959, in run_single
    write_logs(wd, project, services=config["services"])
  File "/usr/local/lib/python3.8/dist-packages/duckietown_challenges_runner/docker_compose.py", line 120, in write_logs
    services2id: Dict[ServiceName, ContainerID] = get_services_id(wd, project, services)
  File "/usr/local/lib/python3.8/dist-packages/duckietown_challenges_runner/docker_compose.py", line 63, in get_services_id
    raise DockerComposeFail(msg, output=output.decode(), names=names) from e
duckietown_challenges_runner.docker_compose.DockerComposeFail: Cannot get process ids
│ output: ''
│  names: {}
Artefacts hidden. If you are the author, please login using the top-right link or use the dashboard.
No reset possible
61549eval2-videoshost-erroryes0:03:18
Uncaught exception: [...]
Uncaught exception:
Traceback (most recent call last):
  File "/usr/local/lib/python3.8/dist-packages/duckietown_challenges_runner/docker_compose.py", line 53, in get_services_id
    container = client.containers.get(container_id)
  File "/usr/local/lib/python3.8/dist-packages/docker/models/containers.py", line 880, in get
    resp = self.client.api.inspect_container(container_id)
  File "/usr/local/lib/python3.8/dist-packages/docker/utils/decorators.py", line 16, in wrapped
    raise errors.NullResource(
docker.errors.NullResource: Resource ID was not provided

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/local/lib/python3.8/dist-packages/duckietown_challenges_runner/runner.py", line 745, in get_cr
    cr = run_single(
  File "/usr/local/lib/python3.8/dist-packages/duckietown_challenges_runner/runner.py", line 959, in run_single
    write_logs(wd, project, services=config["services"])
  File "/usr/local/lib/python3.8/dist-packages/duckietown_challenges_runner/docker_compose.py", line 120, in write_logs
    services2id: Dict[ServiceName, ContainerID] = get_services_id(wd, project, services)
  File "/usr/local/lib/python3.8/dist-packages/duckietown_challenges_runner/docker_compose.py", line 63, in get_services_id
    raise DockerComposeFail(msg, output=output.decode(), names=names) from e
duckietown_challenges_runner.docker_compose.DockerComposeFail: Cannot get process ids
│ output: ''
│  names: {}
Artefacts hidden. If you are the author, please login using the top-right link or use the dashboard.
No reset possible
61546eval2-visualizesuccessyes0:08:53
Artefacts hidden. If you are the author, please login using the top-right link or use the dashboard.
driven_lanedir_consec4.756799016064964
survival_time50.39810085296631
deviation-center-line2.493155812625366
in-drivable-lane0.19785523414611816


other stats
deviation-heading11.107014061295883
driven_any5.483843882970924
driven_lanedir4.756799016064964
visualized-eval2-passed1
No reset possible
61525eval2successyes0:13:39
Artefacts hidden. If you are the author, please login using the top-right link or use the dashboard.
No reset possible
61524eval1-visualizesuccessyes0:03:23
Artefacts hidden. If you are the author, please login using the top-right link or use the dashboard.
driven_lanedir_consec0.9977061185577604
survival_time10.49793004989624
deviation-center-line0.5793434836576978
in-drivable-lane2.100545644760132


other stats
deviation-heading1.3158743739041971
driven_any1.1459403850563965
driven_lanedir0.9977061185577604
visualized-eval1-passed1
No reset possible
61523eval1-videossuccessyes0:03:57
all ok, 8 bags proce [...]
all ok, 8 bags processed
Artefacts hidden. If you are the author, please login using the top-right link or use the dashboard.
No reset possible
61522eval1successyes0:07:24
Artefacts hidden. If you are the author, please login using the top-right link or use the dashboard.
No reset possible
61521eval0-videossuccessyes0:04:41
all ok, 8 bags proce [...]
all ok, 8 bags processed
Artefacts hidden. If you are the author, please login using the top-right link or use the dashboard.
No reset possible
61520eval0-visualizesuccessyes0:04:37
Artefacts hidden. If you are the author, please login using the top-right link or use the dashboard.
driven_lanedir_consec2.9442270176933945
survival_time25.896867275238037
deviation-center-line1.0986683483611617
in-drivable-lane0.9003081321716309


other stats
deviation-heading3.4681496602766333
driven_any3.0292582683252185
driven_lanedir2.9442270176933945
visualized-eval0-passed1
No reset possible
61519eval0successyes0:19:46
Artefacts hidden. If you are the author, please login using the top-right link or use the dashboard.
No reset possible
61518eval0-visualizeerroryes0:00:33
InvalidEvaluator: Tr [...]
InvalidEvaluator:
Traceback (most recent call last):
  File "/usr/local/lib/python3.8/site-packages/procgraph/core/model.py", line 227, in finish
    block.finish()
  File "/usr/local/lib/python3.8/site-packages/procgraph_mplayer/mencoder.py", line 256, in finish
    raise Exception(msg)
Exception: Finish() before starting to encode.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "main.py", line 19, in wrap
    stats = evaluate_robotarium_log(d_step, outd=outd)
  File "/project/evaluate_robotarium_log.py", line 184, in evaluate_robotarium_log
    make_video(dirname=dirname, seq=closest, outd=outd, robot_name=robot_name,
  File "/project/evaluate_robotarium_log.py", line 319, in make_video
    make_video_cut(dirname, chunk.wt, chunk.t0, chunk.t1, outd, outfile)
  File "/project/evaluate_robotarium_log.py", line 368, in make_video_cut
    pg('bag2mp4_fixfps_limit_robotarium', dict(bag=fn2, topic=topic, t0=t0use, t1=t1use, out=out))
  File "/usr/local/lib/python3.8/site-packages/procgraph/scripts/pgmain.py", line 293, in pg
    model.finish()
  File "/usr/local/lib/python3.8/site-packages/procgraph/core/model.py", line 229, in finish
    raise BadMethodCall("finish", block, traceback.format_exc())
procgraph.core.exceptions.BadMethodCall: User-thrown exception while calling finish() in block 'mencoder'.
- B:MEncoder:mencoder(in:image;out:/) 139726603725120
> Traceback (most recent call last):
>   File "/usr/local/lib/python3.8/site-packages/procgraph/core/model.py", line 227, in finish
>     block.finish()
>   File "/usr/local/lib/python3.8/site-packages/procgraph_mplayer/mencoder.py", line 256, in finish
>     raise Exception(msg)
> Exception: Finish() before starting to encode.

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/local/lib/python3.8/site-packages/duckietown_challenges/cie_concrete.py", line 681, in scoring_context
    yield cie
  File "main.py", line 34, in <module>
    wrap(_)
  File "main.py", line 24, in wrap
    raise dc.InvalidEvaluator() from e
duckietown_challenges.exceptions.InvalidEvaluator: 

Artefacts hidden. If you are the author, please login using the top-right link or use the dashboard.
No reset possible
61517eval0abortedyes0:01:06
Job shutdown [...]
Job shutdown
Artefacts hidden. If you are the author, please login using the top-right link or use the dashboard.
No reset possible
61516eval0-visualizeabortedyes0:00:44
KeyboardInterrupt: T [...]
KeyboardInterrupt:
Traceback (most recent call last):
  File "/usr/local/lib/python3.8/dist-packages/duckietown_challenges_runner/runner.py", line 1137, in run_one
    heartbeat()
  File "/usr/local/lib/python3.8/dist-packages/duckietown_challenges_runner/runner.py", line 596, in heartbeat
    raise KeyboardInterrupt(msg_)
KeyboardInterrupt: The server told us to abort the job because: The job has been aborted.
Artefacts hidden. If you are the author, please login using the top-right link or use the dashboard.
No reset possible
61473eval0-visualizeabortedyes0:00:55
InvalidEvaluator: Tr [...]
InvalidEvaluator:
Traceback (most recent call last):
  File "/usr/local/lib/python3.8/site-packages/procgraph/core/model.py", line 227, in finish
    block.finish()
  File "/usr/local/lib/python3.8/site-packages/procgraph_mplayer/mencoder.py", line 256, in finish
    raise Exception(msg)
Exception: Finish() before starting to encode.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "main.py", line 19, in wrap
    stats = evaluate_robotarium_log(d_step, outd=outd)
  File "/project/evaluate_robotarium_log.py", line 184, in evaluate_robotarium_log
    make_video(dirname=dirname, seq=closest, outd=outd, robot_name=robot_name,
  File "/project/evaluate_robotarium_log.py", line 319, in make_video
    make_video_cut(dirname, chunk.wt, chunk.t0, chunk.t1, outd, outfile)
  File "/project/evaluate_robotarium_log.py", line 368, in make_video_cut
    pg('bag2mp4_fixfps_limit_robotarium', dict(bag=fn2, topic=topic, t0=t0use, t1=t1use, out=out))
  File "/usr/local/lib/python3.8/site-packages/procgraph/scripts/pgmain.py", line 293, in pg
    model.finish()
  File "/usr/local/lib/python3.8/site-packages/procgraph/core/model.py", line 229, in finish
    raise BadMethodCall("finish", block, traceback.format_exc())
procgraph.core.exceptions.BadMethodCall: User-thrown exception while calling finish() in block 'mencoder'.
- B:MEncoder:mencoder(in:image;out:/) 139999906661760
> Traceback (most recent call last):
>   File "/usr/local/lib/python3.8/site-packages/procgraph/core/model.py", line 227, in finish
>     block.finish()
>   File "/usr/local/lib/python3.8/site-packages/procgraph_mplayer/mencoder.py", line 256, in finish
>     raise Exception(msg)
> Exception: Finish() before starting to encode.

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/local/lib/python3.8/site-packages/duckietown_challenges/cie_concrete.py", line 681, in scoring_context
    yield cie
  File "main.py", line 34, in <module>
    wrap(_)
  File "main.py", line 24, in wrap
    raise dc.InvalidEvaluator() from e
duckietown_challenges.exceptions.InvalidEvaluator: 

Artefacts hidden. If you are the author, please login using the top-right link or use the dashboard.
No reset possible
61472eval0-videosabortedyes0:02:36
all ok, 8 bags proce [...]
all ok, 8 bags processed
Artefacts hidden. If you are the author, please login using the top-right link or use the dashboard.
No reset possible
61469eval0-visualizeerroryes0:00:55
InvalidEvaluator: Tr [...]
InvalidEvaluator:
Traceback (most recent call last):
  File "/usr/local/lib/python3.8/site-packages/procgraph/core/model.py", line 227, in finish
    block.finish()
  File "/usr/local/lib/python3.8/site-packages/procgraph_mplayer/mencoder.py", line 256, in finish
    raise Exception(msg)
Exception: Finish() before starting to encode.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "main.py", line 19, in wrap
    stats = evaluate_robotarium_log(d_step, outd=outd)
  File "/project/evaluate_robotarium_log.py", line 184, in evaluate_robotarium_log
    make_video(dirname=dirname, seq=closest, outd=outd, robot_name=robot_name,
  File "/project/evaluate_robotarium_log.py", line 319, in make_video
    make_video_cut(dirname, chunk.wt, chunk.t0, chunk.t1, outd, outfile)
  File "/project/evaluate_robotarium_log.py", line 368, in make_video_cut
    pg('bag2mp4_fixfps_limit_robotarium', dict(bag=fn2, topic=topic, t0=t0use, t1=t1use, out=out))
  File "/usr/local/lib/python3.8/site-packages/procgraph/scripts/pgmain.py", line 293, in pg
    model.finish()
  File "/usr/local/lib/python3.8/site-packages/procgraph/core/model.py", line 229, in finish
    raise BadMethodCall("finish", block, traceback.format_exc())
procgraph.core.exceptions.BadMethodCall: User-thrown exception while calling finish() in block 'mencoder'.
- B:MEncoder:mencoder(in:image;out:/) 140658502997376
> Traceback (most recent call last):
>   File "/usr/local/lib/python3.8/site-packages/procgraph/core/model.py", line 227, in finish
>     block.finish()
>   File "/usr/local/lib/python3.8/site-packages/procgraph_mplayer/mencoder.py", line 256, in finish
>     raise Exception(msg)
> Exception: Finish() before starting to encode.

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/local/lib/python3.8/site-packages/duckietown_challenges/cie_concrete.py", line 681, in scoring_context
    yield cie
  File "main.py", line 34, in <module>
    wrap(_)
  File "main.py", line 24, in wrap
    raise dc.InvalidEvaluator() from e
duckietown_challenges.exceptions.InvalidEvaluator: 

Artefacts hidden. If you are the author, please login using the top-right link or use the dashboard.
No reset possible
60522eval0abortedyes0:10:58
Artefacts hidden. If you are the author, please login using the top-right link or use the dashboard.
No reset possible
60511eval0abortedyes0:00:14
Job shutdown [...]
Job shutdown
Artefacts hidden. If you are the author, please login using the top-right link or use the dashboard.
No reset possible
60510eval0abortedyes0:00:08
Job shutdown [...]
Job shutdown
Artefacts hidden. If you are the author, please login using the top-right link or use the dashboard.
No reset possible
60509eval0abortedyes0:00:06
Job shutdown [...]
Job shutdown
Artefacts hidden. If you are the author, please login using the top-right link or use the dashboard.
No reset possible
60504eval0abortedyes0:00:04
Job shutdown [...]
Job shutdown
Artefacts hidden. If you are the author, please login using the top-right link or use the dashboard.
No reset possible